Steam热销榜

GETPOST Steam

获取Steam当前热销游戏排行榜

GET https://api.tinyaii.cn/v1/steam/top-sellers

请求参数

参数名类型必填说明示例
limitint可选返回数量,1-50,默认10—

返回字段

字段类型说明
codeint状态码
data.countint返回数量
data.gamesarray游戏列表
data.games[].appidint游戏AppID
data.games[].namestring游戏名称
data.games[].final_pricefloat现价
data.games[].original_pricefloat原价
data.games[].discount_percentint折扣百分比
data.games[].header_imagestring头图URL

返回示例

{
  "code": 200,
  "message": "success",
  "data": {
    "count": 10,
    "games": [
      {
        "appid": 730,
        "name": "Counter-Strike 2",
        "final_price": 0.0,
        "original_price": 0.0,
        "discount_percent": 0,
        "header_image": "https://..."
      }
    ]
  }
}

调用示例

curl "https://api.tinyaii.cn/v1/steam/top-sellers?limit=1" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/steam/top-sellers?limit=1", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/steam/top-sellers",
    params={"limit": "1"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。